package com.thinkgem.jeesite.modules.youka.dao;

import com.thinkgem.jeesite.common.persistence.CrudDao;
import com.thinkgem.jeesite.common.persistence.annotation.MyBatisDao;
import com.thinkgem.jeesite.modules.youka.entity.YoukaBenefit;

import java.util.List;

@MyBatisDao
public interface YoukaBenefitDao extends CrudDao<YoukaBenefit>{
    // 查询分润
    public List<YoukaBenefit> findList(YoukaBenefit request);

    public Integer updateBenefitByDate(YoukaBenefit youkaBenefit);

    // 查询分润
    public List<YoukaBenefit> getBenefitListByOrderCode(YoukaBenefit request);

    // 按照条件获取分润之和（正常）
    YoukaBenefit getBenefitSum(YoukaBenefit youkaBenefit);

    //按照条件获取分润之和（用户部分）
    YoukaBenefit getBenefitSumUser(YoukaBenefit youkaBenefit);

}
